html {
  overflow-y: scroll;
}

body {
  font-family: Inter, var(--bs-font-sans-serif);
}

@font-face {
  font-family: "SF Mono";
  src: url("../fonts/sf-mono/sf-mono.woff2") format("woff2"),
       url("../fonts/sf-mono/sf-mono.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[data-i18n] {
  white-space: pre-line;
}

.language-toggle {
  opacity: 0.15;
  transition: opacity 0.3s;
}

.language-toggle:hover {
  opacity: 0.3;
}

a {
  text-decoration: none;
}

* {
  -webkit-user-drag: none;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

[data-bs-theme=dark] {
  .photo {
    filter: brightness(95%) contrast(105%);
  }
}

h1 {
  font-weight: 500;
}

svg.icon { width: 32px; height: 32px; margin: 0 1px; }
/* svg.icon path { transition: 0.3s; } */
svg.icon .background { fill: var(--bs-secondary); }
svg.icon:hover .notes { fill: #947526; }
svg.icon:hover .linkedin { fill: #2868b2; }
svg.icon:hover .whatsapp { fill: #25D366; }
svg.icon:hover .x { fill: #000000; }
svg.icon:hover .youtube { fill: #ea333e; }
svg.icon:hover .scholar { fill: #4081ec; }
svg.icon:hover .researchgate { fill: #03cda7; }
svg.icon:hover .github { fill: #2c0058; }
svg.icon:hover .instagram { fill: url(#gradient) }

.font-preload {
  font-family: "SF Mono", var(--bs-font-monospace);;
  position: absolute;
  opacity: 0;
  pointer-events: none;
  height: 0;
  overflow: hidden;
}

.text-monospace {
  font-family: "SF Mono", var(--bs-font-monospace);
}

.arrow {
  transition: all 0.35s 0s;
}

.toggle-down {
  transform: rotate(90deg);
}

.toggle-up {
  transform: rotate(0deg);
}

#links {
  font-size: .95em;
}

a.list-group-item {
  background: var(--bs-tertiary-bg);
  border: none;
}

a.list-group-item:hover {
  background: var(--bs-body-bg) !important;
}

.modal-backdrop {
  --bs-backdrop-opacity: .75;
}

input:focus,
textarea:focus,
.form-control:focus {
  border: 1px solid var(--bs-border-color);
  outline: none;
  box-shadow: none;
}